\documentclass[10pt]{article}
\usepackage{pgfplots}
\usepackage{tikz}
\usetikzlibrary{hobby}
\pgfplotsset{compat=1.15}
\usepackage{mathrsfs}
\usetikzlibrary{arrows}
\pagestyle{empty}
\begin{document}
\definecolor{ududff}{rgb}{0.30196078431372547,0.30196078431372547,1}
\definecolor{xdxdff}{rgb}{0.49019607843137253,0.49019607843137253,1}
\definecolor{uuuuuu}{rgb}{0.26666666666666666,0.26666666666666666,0.26666666666666666}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm,use Hobby shortcut]
\clip(-6.0,-6.0) rectangle (6.0,6.0);
\draw [line width=2pt] (0,0) circle (4cm);
\draw [line width=2pt] (-3.5883599507999246,0.6803660777756049)-- (-1.2205442865559533,-1.6913806492897827);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-3.5883599507999246,0.6803660777756049);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-3.1028570248190297,0.19405711670894155);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-2.690455816904362,-0.2190287623481728);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-2.38,-0.53);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-2.0512339446366274,-0.8593118748866995);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-1.6972281850040758,-1.2139053571622216);
\draw [->,line width=1pt,dashed,gray] (1.7525038130731556,3.5956543750983703) -- (-1.2205442865559533,-1.691380649289783);
\draw [line width=2pt] (3.1869829607733258,1.0241702652312779)-- (0.8283517236660787,-1.6104431722267194);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (0.8283517236660787,-1.6104431722267196);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (1.330891345402303,-1.0491016537004332);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (1.7312506621676542,-0.6018965038800856);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (2.1,-0.19);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (2.4718952463394106,0.2254105134867297);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (2.888990717972358,0.691310106852066);
\draw [->,line width=1pt,dashed,gray] (-1.9888378946878214,3.470522126230247) -- (3.1869829607733258,1.024170265231278);

\path
  (-.4,.5) coordinate (z0)
  (.6,1.3) coordinate (z1)
  (.4,2.3) coordinate (z2)
  (-.3,1.9) coordinate (z3)
  (-.4,1.5) coordinate (z4);
  \draw[closed] (z0) .. (z1) .. (z2) .. (z3) .. (z4);
\end{tikzpicture}
\end{document}

\begin{scriptsize}
\draw [fill=uuuuuu] (0,0) circle (2pt);
\draw[color=uuuuuu] (0.16,0.4) node {$A$};
\draw [fill=xdxdff] (0,4) circle (2.5pt);
\draw[color=xdxdff] (0.16,4.44) node {$B$};
\draw[color=black] (-1.94,3.24) node {$c$};
\draw [fill=xdxdff] (1.7525038130731556,3.5956543750983703) circle (2.5pt);
\draw[color=xdxdff] (1.92,4.02) node {$C$};
\draw [fill=ududff] (-2.38,-0.53) circle (2.5pt);
\draw[color=ududff] (-2.22,-0.1) node {$D$};
\draw [fill=xdxdff] (-3.5883599507999246,0.6803660777756049) circle (2.5pt);
\draw[color=xdxdff] (-3.42,1.12) node {$E$};
\draw [fill=xdxdff] (-1.2205442865559533,-1.6913806492897827) circle (2.5pt);
\draw[color=xdxdff] (-1.06,-1.26) node {$F$};
\draw[color=black] (-2.56,-0.5) node {$h$};
\draw[color=black] (-0.8,2.3) node {$u$};
\draw [fill=xdxdff] (-3.1028570248190297,0.1940571167089416) circle (2.5pt);
\draw[color=xdxdff] (-2.94,0.62) node {$G$};
\draw[color=black] (-0.56,2.06) node {$v$};
\draw [fill=xdxdff] (-2.6904558169043615,-0.21902876234817292) circle (2.5pt);
\draw[color=xdxdff] (-2.54,0.22) node {$H$};
\draw[color=black] (-0.34,1.86) node {$w$};
\draw[color=black] (-0.18,1.72) node {$a$};
\draw [fill=xdxdff] (-2.051233944636627,-0.8593118748866995) circle (2.5pt);
\draw[color=xdxdff] (-1.9,-0.42) node {$I$};
\draw[color=black] (-0.02,1.56) node {$b$};
\draw [fill=xdxdff] (-1.6972281850040758,-1.213905357162222) circle (2.5pt);
\draw[color=xdxdff] (-1.54,-0.78) node {$J$};
\draw[color=black] (0.16,1.38) node {$d$};
\draw[color=black] (0.42,1.16) node {$e$};
\draw [fill=xdxdff] (-1.9888378946878214,3.470522126230247) circle (2.5pt);
\draw[color=xdxdff] (-1.82,3.9) node {$K$};
\draw [fill=ududff] (2.1,-0.19) circle (2.5pt);
\draw[color=ududff] (2.26,0.24) node {$L$};
\draw [fill=xdxdff] (0.8283517236660787,-1.6104431722267194) circle (2.5pt);
\draw[color=xdxdff] (0.98,-1.18) node {$M$};
\draw [fill=xdxdff] (3.1869829607733258,1.0241702652312779) circle (2.5pt);
\draw[color=xdxdff] (3.34,1.46) node {$N$};
\draw[color=black] (1.84,0.16) node {$k$};
\draw[color=black] (-0.44,1.22) node {$l$};
\draw [fill=xdxdff] (1.330891345402303,-1.049101653700433) circle (2.5pt);
\draw[color=xdxdff] (1.5,-0.62) node {$O$};
\draw[color=black] (-0.2,1.5) node {$m$};
\draw [fill=xdxdff] (1.7312506621676542,-0.6018965038800859) circle (2.5pt);
\draw[color=xdxdff] (1.9,-0.18) node {$P$};
\draw[color=black] (0,1.74) node {$n$};
\draw[color=black] (0.18,1.94) node {$p$};
\draw [fill=xdxdff] (2.47189524633941,0.2254105134867298) circle (2.5pt);
\draw[color=xdxdff] (2.64,0.66) node {$Q$};
\draw[color=black] (0.36,2.16) node {$q$};
\draw [fill=xdxdff] (2.8889907179723586,0.6913101068520662) circle (2.5pt);
\draw[color=xdxdff] (3.04,1.12) node {$R$};
\draw[color=black] (0.56,2.4) node {$r$};
\draw[color=black] (0.76,2.62) node {$u_1$};
\end{scriptsize}